Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 168465 - Relative path resolution changed from 6.5 to 6.7
Relative path resolution changed from 6.5 to 6.7
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Launchers&CLI
6.x
All Windows XP
: P1 (vote)
: 6.x
Assigned To: t_h
issues@platform
67patch1-fixed
:
Depends on:
Blocks: 189791
  Show dependency treegraph
 
Reported: 2009-07-13 10:02 UTC by fvogler
Modified: 2010-08-26 14:07 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fvogler 2009-07-13 10:02:48 UTC
Hi,
I tried to upgrade our platform application to 6.7 (want use the new launcher), but the relative path resolution has
changed. In 6.5 path resolution was relative to "<PLATFORM_HOME>", now in 6.7 it is relative to "<PLATFORM_HOME>\bin".

Default options in etc\<app>.conf like '-J-Djava.endorsed.dirs=etc/endorsed'
or 'default_userdir="../user"' don`t work any more.
Maybe our other config files are broken as well.

Can you fix it and/or define what the contract for relative path resolution is / will be in future and add a test case?
I don`t want fix our config files and many installers again while upgrading to 6.8 or higher ;-)

Regards
Florian
Comment 1 t_h 2009-07-14 15:00:32 UTC
Thanks for catching it. It should be same as in 6.5. Fixed in core-main #76600b18418e
Comment 2 sreimers 2009-07-14 16:02:42 UTC
Any way to get this into 6.7.1 ? (Actually this keeps us from upgrading to new platform right now)
Comment 3 Antonin Nebuzelsky 2009-07-14 16:18:13 UTC
Agreed. This must be fixed in 6.7.1.

fvogler, sreimers, can you please test the change for us right now?
Comment 4 Marian Mirilovic 2009-07-14 16:40:44 UTC
fix is isolated and safe - verified ... Tomas will transplant this into release67_fixes
Comment 6 pgebauer 2009-07-14 17:05:01 UTC
The above changeset is from automatic merge. The fix has been ported into the release67_fixes repository via http://hg.netbeans.org/release67_fixes/rev/62619399a2fc
Comment 7 Quality Engineering 2009-07-15 07:18:34 UTC
Integrated into 'main-golden', will be available in build *200907150249* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/76600b18418e
User: Tomas Holy <t_h@netbeans.org>
Log: #168465: Relative path resolution changed from 6.5 to 6.7
Comment 8 Jaroslav Tulach 2010-08-26 14:07:59 UTC
I am about to fix bug 189791 which requests to change the default again. In NetBeans IDE launcher the current working directory remains untouched, so it shall in platform application launcher.

If you want to get access to any file inside any cluster, consider using InstalledFileLocator. 

I will wait with changes to bug 189791 to make sure they are "acceptably" compatible.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo